#!/bin/sh
# /root/my-applications/bin/rox-to-jwm_bkmrks.sh
# First draft. For Puppy
#
# Purpose: make the ROX "Bookmarks" available in the jwm menu.
# Dependencies: jwm, ROX-Filer, replaceit (http://pldaniels.com/replaceit),
# and a nicely populated bookmarks section in the ROX-Filer!
#
# (c) Christian L'écuyer (aka musher0), Gatineau (Qc), Canada, 23 mai 2014.
####
cd ~/.config/rox.sourceforge.net/ROX-Filer
cp -f Bookmarks.xml jwm-bookmarks.xml
sleep 0.1s
REP="replaceit --input=jwm-bookmarks.xml"
$REP bookmarks Menu
$REP bookmark Program
$REP bookmark Program
$REP title label
$REP ">/" ">exec rox /"
echo "<Menu label=\" ROX-Bookmarks\" icon=\"folder.xpm\" height=\"16\">" > places.menu
a="`wc -l jwm-bookmarks.xml | awk '{ print $1 }'`"
b="`expr $a - 2`"
tail -n $b jwm-bookmarks.xml >> places.menu
defaulttexteditor /etc/xdg/templates/_root_.jwmrc /root/.config/rox.sourceforge.net/ROX-Filer/places.menu &
#
# Instructions -- 
#
# Once geany is opened with the two files, 
#
# 1) copy and paste the entire contents of file places.menu 
# __ just above the "help" entry in the jwm menu,
# __ replacing any pre-existing sub-menu with the new one.

# 2) Save _root_.jwmrc

# 3) Exit geany

# 4) Exit X

# 5) Run fixmenus

# 6) Restart jwm
